LSMOD(8)

NOM
lsmod - Afficher la liste des modules du noyau chargés en mémoire

SYNOPSIS
lsmod [-hV]

DESCRIPTION
lsmod affiche des informations sur les modules du noyau chargés en mémoire.

Le format est : nom, taille, compteur d'usage, liste des modules l'utilisant. Les informations affichées sont identiques à celles de /proc/modules.

Si le module gère son propre déchargement à l'aide d'une routine can_unload, le compteur d'usage affiché est toujours -1, quelque soit la vraie valeur.

OPTIONS

-h, --help
    Affiche une page d'aide.

-V, --version
    Affiche le numéro de version et se termine.

VERSIONS

  Historique
La modularisation du noyau a été conçue par un illustre inconnu dont le nom n'a pas été retenu.
La version initiale pour Linux a été écrite par Bas Laarhoven <bas@vimec.nl>.
Version 0.99.14 par Jon Tombs <jon@gtex02.us.es>.
Amélioré par Bjorn Ekwall <bj0rn@blox.se>.
Réécrit au goût du jour dans la version 2.1.17 du noyau par Richard Henderson <rth@tamu.edu> (Décembre 1996).
Mise à jour par Bjorn Ekwall <bj0rn@blox.se> en mars 1999.

VOIR AUSSI
insmod(8), modprobe(8), depmod(8), rmmod(8), ksyms(8)

TRADUCTION

Ce document est une traduction réalisée par Thierry Vignaud <tvignaud AT mandriva DOT com> en 1999 et révisée le 19 novembre 2007.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=C man 8 lsmod ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.